import { TextXform } from "./text-xform.js";
import { FontXform } from "../style/font-xform.js";
import { BaseXform } from "../base-xform.js";
interface RichTextModel {
    font?: any;
    text: string;
}
declare class RichTextXform extends BaseXform {
    private _textXform?;
    private _fontXform?;
    parser: any;
    constructor(model?: RichTextModel);
    get tag(): string;
    get textXform(): TextXform;
    get fontXform(): FontXform;
    render(xmlStream: any, model?: RichTextModel): void;
    parseOpen(node: any): boolean;
    parseText(text: string): void;
    parseClose(name: string): boolean;
    static FONT_OPTIONS: {
        tagName: string;
        fontNameTag: string;
    };
}
export { RichTextXform };
